%define lib_major 9
%define libname %mklibname %{name} %{lib_major}
%define libgl_major 8
%define libgl %mklibname %{name}-gl %{libgl_major}
%define develname %mklibname -d %{name}

%define _requires_exceptions devel(lib\\(mozjs\\|nspr4\\|plc4\\|plds4\\)\\((64bit)\\)\\?) 

Name:       openvrml
Version:    0.18.6
Release:    %mkrel 2
Summary:    A free cross-platform runtime for VRML and X3D
License:    LGPL
Group:      Graphics
URL:        http://openvrml.org/
Source0:    http://downloads.sourceforge.net/openvrml/%{name}-%{version}.tar.gz
Patch0:		openvrml-0.18.3-fix-str-fmt.patch
Patch1:		openvrml-0.18.3-fix-linkage.patch
Patch2:		openvrml-0.18.5-fix-format-errors.patch
BuildRequires:  SDL-devel
BuildRequires:  mesagl-devel
BuildRequires:  gtk+2-devel
BuildRequires:  libxmu-devel
BuildRequires:  doxygen
BuildRequires:  boost-devel
BuildRequires:  js-devel
BuildRequires:  curl-devel
BuildRequires:  xulrunner-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:	libtool-devel
BuildRequires:	gtkglext-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
OpenVRML is a free cross-platform runtime for VRML and X3D available under the
GNU Lesser General Public License. The OpenVRML distribution includes libraries
you can use to add VRML/X3D support to an application. On platforms where GTK+
is available, OpenVRML also provides a plug-in to render VRML/X3D worlds in Web
browsers.

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This packages contains dynamic libraries for %{name}.

%package -n %{libgl}
Summary:        Dynamic libraries for %{name}
Group:          System/Libraries

%description -n %{libgl}
This packages contains dynamic libraries for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgl} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This packages contains development files for %{name}.

%package plugins
Summary:	Mozilla %{name} plugins
Group:      Graphics
Requires:   %{name} = %{version}-%{release}

%description plugins
This package contain the %{name} plugins for mozilla.

%package doc
Summary:	Documentation for %{name}
Group:      Graphics

%description doc
This package contain the documentation for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
%configure2_5x --disable-script-node-java --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std docdir=%{_docdir}/%{name}
# install manually, as %doc macro remove already existing directory
install -m  644 AUTHORS ChangeLog COPYING COPYING.LESSER INSTALL NEWS \
    README THANKS %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name *.la | xargs rm

%clean
rm -rf %{buildroot}

%post
%_install_info openvrml-xembed

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%preun
%_remove_install_info openvrml

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%exclude %{_docdir}/%{name}/manual
%{_bindir}/openvrml-player
%{_libdir}/openvrml
%{_libdir}/openvrml-xembed
%{_datadir}/openvrml
%{_datadir}/openvrml-player
%{_datadir}/openvrml-xembed
%{_datadir}/dbus-1/services/org.openvrml.BrowserControl.service

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libopenvrml.so.%{lib_major}*

%files -n %{libgl}
%defattr(-,root,root)
%{_libdir}/libopenvrml-gl.so.%{libgl_major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/openvrml
%{_libdir}/pkgconfig/*

%files plugins
%defattr(-,root,root)
%{_libdir}/mozilla/plugins/*

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}/manual
%{_datadir}/javadoc/%{name}-%{version}


%changelog
* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.18.6-2mdv2011.0
+ Revision: 566036
- rebuild for new boost

* Thu Jul 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.6-1mdv2011.0
+ Revision: 553769
- update to new version 0.18.6

* Tue Feb 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.18.5-1mdv2010.1
+ Revision: 506487
- new version

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.18.3-5mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.18.3-4mdv2010.1
+ Revision: 500155
- add fedora patch to have it built with latest boost
- more linkage fix
- rebuild for new boost

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.18.3-2mdv2010.1
+ Revision: 492209
- add fedora patches

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.18.3-1mdv2010.0
+ Revision: 418925
- singled out gl lib
- fix file list
- fix linkage
- New version 0.18.3

* Mon Mar 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.12-1mdv2009.1
+ Revision: 355922
- update to new version 0.17.12

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.11-1mdv2009.1
+ Revision: 354013
- update format errors patch
- new version

* Mon Mar 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.10-7mdv2009.1
+ Revision: 346927
- ensure rpath to gecko runtime is correct

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.10-6mdv2009.1
+ Revision: 346184
- allow rpath for gecko runtime directory

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 0.17.10-5mdv2009.1
+ Revision: 336022
- provides virtual devel

* Tue Dec 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.10-4mdv2009.1
+ Revision: 321316
- rebuild

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.17.10-3mdv2009.1
+ Revision: 316898
- fix str fmt
- rebuild for new boost

* Thu Nov 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17.10-2mdv2009.1
+ Revision: 302734
- rebuilt against new libxcb

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.17.10-1mdv2009.1
+ Revision: 297533
- New version 0.17.10

* Mon Oct 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.9-1mdv2009.1
+ Revision: 293150
- new version

* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.17.8-2mdv2009.0
+ Revision: 273497
- rebuild against new boost

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.8-1mdv2009.0
+ Revision: 271755
- new version
- new version

* Wed Jun 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.6-1mdv2009.0
+ Revision: 224988
- update to new version 0.17.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.5-4mdv2008.1
+ Revision: 188624
- fix more automatic dependencies again

* Sun Mar 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.5-3mdv2008.1
+ Revision: 188192
- the lib package should not provide devel package
- fix automatic dependencies, as devel(libmozjs) doesn't exist

* Wed Feb 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.5-2mdv2008.1
+ Revision: 167018
- the plugin requires the main package

* Thu Feb 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.5-1mdv2008.1
+ Revision: 163679
- import openvrml


